## firefox-esr 91.13.0esr

=== ipc/chromium/src/third_party/libevent/CMakeLists.txt ===
#
# Libevent CMake project
#
# Based on initial work by:
#    Alexey Ozeritsky
#
# Additional changes:
#   Brodie Thiesfield
#   Joakim Soderberg
#   Trond Norbye
#   Sergei Nikulov
#
#   Build example:
#
#       cd libevent
#       md build
#       cd build
#       cmake -G "Visual Studio 10" ..
#       start libevent.sln
#
if (WIN32)
    cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
else()
    cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release
        CACHE STRING "Set build type to Debug o Release (default Release)" FORCE)
endif()
string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)

# get rid of the extra default configurations
# what? why would you get id of other useful build types? - Ellzey
set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING "Limited configurations" FORCE)

project(libevent C)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
string(REGEX MATCH "SunOS" SOLARIS "${CMAKE_SYSTEM_NAME}")


include(CheckTypeSize)
include(CheckFunctionExistsEx)
include(CheckFileOffsetBits)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckVariableExists)
include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckCSourceCompiles)
include(CheckPrototypeDefinition)
include(CheckFunctionKeywords)
include(AddCompilerFlags)
include(VersionViaGit)

event_fuzzy_version_from_git()

set(EVENT_VERSION_MAJOR ${EVENT_GIT___VERSION_MAJOR})
set(EVENT_VERSION_MINOR ${EVENT_GIT___VERSION_MINOR})
set(EVENT_VERSION_PATCH ${EVENT_GIT___VERSION_PATCH})
set(EVENT_VERSION_STAGE ${EVENT_GIT___VERSION_STAGE})


set(EVENT_ABI_MAJOR ${EVENT_VERSION_MAJOR})
set(EVENT_ABI_MINOR ${EVENT_VERSION_MINOR})
set(EVENT_ABI_PATCH ${EVENT_VERSION_PATCH})

set(EVENT_ABI_LIBVERSION
    "${EVENT_ABI_MAJOR}.${EVENT_ABI_MINOR}.${EVENT_ABI_PATCH}")

set(EVENT_PACKAGE_VERSION
    "${EVENT_VERSION_MAJOR}.${EVENT_VERSION_MINOR}.${EVENT_VERSION_PATCH}")

set(EVENT_NUMERIC_VERSION 0x02010800)

# only a subset of names can be used, defaults to "beta"
set(EVENT_STAGE_NAME ${EVENT_VERSION_STAGE}
	CACHE STRING "set the stage name (beta|alpha|release)")

# a list that defines what can set for EVENT_STAGE_VERSION
set(EVENT__ALLOWED_STAGE_NAMES
    rc
    beta
    alpha
    release)

# attempt to find the EVENT__STAGE_VERSION in the allowed list
# of accepted stage names, the return value is stord in
# EVENT__STAGE_RET

list(FIND EVENT__ALLOWED_STAGE_NAMES
	${EVENT_STAGE_NAME}
	EVENT__STAGE_RET)

if (EVENT__STAGE_RET EQUAL "-1")
	set(EVENT_STAGE_NAME beta)
endif()

set(EVENT_VERSION
	"${EVENT_VERSION_MAJOR}.${EVENT_VERSION_MINOR}.${EVENT_VERSION_PATCH}-${EVENT_STAGE_NAME}")

option(EVENT__BUILD_SHARED_LIBRARIES
    "Define if libevent should be built with shared libraries instead of archives" OFF)

option(EVENT__DISABLE_DEBUG_MODE
    "Define if libevent should build without support for a debug mode" OFF)

option(EVENT__ENABLE_VERBOSE_DEBUG
    "Enables verbose debugging" OFF)

option(EVENT__DISABLE_MM_REPLACEMENT
    "Define if libevent should not allow replacing the mm functions" OFF)

option(EVENT__DISABLE_THREAD_SUPPORT
    "Define if libevent should not be compiled with thread support" OFF)

option(EVENT__DISABLE_OPENSSL
    "Define if libevent should build without support for OpenSSL encrpytion" OFF)

option(EVENT__DISABLE_BENCHMARK
    "Defines if libevent should build without the benchmark exectuables" OFF)

option(EVENT__DISABLE_TESTS
    "If tests should be compiled or not" OFF)

option(EVENT__DISABLE_REGRESS
    "Disable the regress tests" OFF)

option(EVENT__DISABLE_SAMPLES
    "Disable sample files" OFF)

option(EVENT__DISABLE_CLOCK_GETTIME
    "Do not use clock_gettime even if it is available" OFF)

option(EVENT__FORCE_KQUEUE_CHECK
    "When crosscompiling forces running a test program that verifies that Kqueue works with pipes. Note that this requires you to manually run the test program on the the cross compilation target to verify that it works. See cmake documentation for try_run for more details" OFF)

# TODO: Add --disable-largefile     omit support for large files
option(EVENT__COVERAGE
"Enable running gcov to get a test coverage report (only works with GCC/CLang). Make sure to enable -DCMAKE_BUILD_TYPE=Debug as well." OFF)

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf directories.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

if (EVENT__ENABLE_VERBOSE_DEBUG)
    add_definitions(-DUSE_DEBUG=1)
endif()

# Setup compiler flags for coverage.
if (EVENT__COVERAGE)
    if (NOT "${CMAKE_BUILD_TYPE_LOWER}" STREQUAL "debug")
        message(FATAL_ERROR "Coverage requires -DCMAKE_BUILD_TYPE=Debug")
    endif()

    message(STATUS "Setting coverage compiler flags")

    set(CMAKE_REQUIRED_LIBRARIES "--coverage")
    add_compiler_flags(-g -O0 --coverage)
    set(CMAKE_REQUIRED_LIBRARIES "")
endif()

# GCC specific options.
if (CMAKE_COMPILER_IS_GNUCC)
    option(EVENT__DISABLE_GCC_WARNINGS "Disable verbose warnings with GCC" OFF)
    option(EVENT__ENABLE_GCC_HARDENING "Enable compiler security checks" OFF)
    option(EVENT__ENABLE_GCC_FUNCTION_SECTIONS "Enable gcc function sections" OFF)
    option(EVENT__ENABLE_GCC_WARNINGS "Make all GCC warnings into errors" OFF)

    list(APPEND __FLAGS -Wall -Wswitch)

    if (EVENT__DISABLE_GCC_WARNINGS)
        list(APPEND __FLAGS -w)
    endif()

    if (EVENT__ENABLE_GCC_HARDENING)
        list(APPEND __FLAGS
             -fstack-protector-all
             -fwrapv
             -fPIE
             -Wstack-protector
             "--param ssp-buffer-size=1")

        add_definitions(-D_FORTIFY_SOURCE=2)
    endif()

    if (EVENT__ENABLE_GCC_FUNCTION_SECTIONS)
        list(APPEND __FLAGS -ffunction-sections)
        # TODO: Add --gc-sections support. We need some checks for NetBSD to ensure this works.
    endif()

    if (EVENT__ENABLE_GCC_WARNINGS)
        list(APPEND __FLAGS -Werror)
    endif()

    # We need to test for at least gcc 2.95 here, because older versions don't
    # have -fno-strict-aliasing
    list(APPEND __FLAGS -fno-strict-aliasing)

    add_compiler_flags(${__FLAGS})
endif()

if (APPLE)
    # Get rid of deprecated warnings for OpenSSL on OSX 10.7 and greater.
    add_compiler_flags(
        -Wno-error=deprecated-declarations
        -Qunused-arguments
    )
endif()

# Winsock.
if(WIN32)
    set(CMAKE_EXTRA_INCLUDE_FILES winsock2.h ws2tcpip.h)
    set(CMAKE_REQUIRED_LIBRARIES  ws2_32.lib)
    set(CMAKE_REQUIRED_DEFINITIONS -FIwinsock2.h -FIws2tcpip.h)
endif()
if (SOLARIS)
    set(CMAKE_REQUIRED_LIBRARIES socket nsl)
endif()

# Check if _GNU_SOURCE is available.
CHECK_SYMBOL_EXISTS(__GNU_LIBRARY__ "features.h" _GNU_SOURCE)

if (_GNU_SOURCE)
    add_definitions(-D_GNU_SOURCE)
endif()

CHECK_INCLUDE_FILE(sys/types.h EVENT__HAVE_SYS_TYPES_H)
if(EVENT__HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES sys/types.h)
endif()

CHECK_INCLUDE_FILE(sys/socket.h EVENT__HAVE_SYS_SOCKET_H)
if(EVENT__HAVE_SYS_SOCKET_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
endif()

CHECK_INCLUDE_FILE(netinet/in.h EVENT__HAVE_NETINET_IN_H)
if(EVENT__HAVE_NETINET_IN_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES netinet/in.h)
endif()

CHECK_INCLUDE_FILE(netinet/in6.h EVENT__HAVE_NETINET_IN6_H)
if(EVENT__HAVE_NETINET_IN6_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES netinet/in6.h)
endif()

CHECK_INCLUDE_FILE(unistd.h EVENT__HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(netdb.h EVENT__HAVE_NETDB_H)
CHECK_INCLUDE_FILE(dlfcn.h EVENT__HAVE_DLFCN_H)
CHECK_INCLUDE_FILE(arpa/inet.h EVENT__HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILE(fcntl.h EVENT__HAVE_FCNTL_H)
if(EVENT__HAVE_FCNTL_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES fcntl.h)
endif()
CHECK_INCLUDE_FILE(inttypes.h EVENT__HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(memory.h EVENT__HAVE_MEMORY_H)
CHECK_INCLUDE_FILE(poll.h EVENT__HAVE_POLL_H)
CHECK_INCLUDE_FILE(port.h EVENT__HAVE_PORT_H)
if(EVENT__HAVE_PORT_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES port.h)
endif()
CHECK_INCLUDE_FILE(signal.h EVENT__HAVE_SIGNAL_H)
CHECK_INCLUDE_FILE(stdarg.h EVENT__HAVE_STDARG_H)
CHECK_INCLUDE_FILE(stddef.h EVENT__HAVE_STDDEF_H)
CHECK_INCLUDE_FILE(stdint.h EVENT__HAVE_STDINT_H)
CHECK_INCLUDE_FILE(stdlib.h EVENT__HAVE_STDLIB_H)
CHECK_INCLUDE_FILE(strings.h EVENT__HAVE_STRINGS_H)
CHECK_INCLUDE_FILE(string.h EVENT__HAVE_STRING_H)
CHECK_INCLUDE_FILE(sys/devpoll.h EVENT__HAVE_SYS_DEVPOLL_H)
CHECK_INCLUDE_FILE(sys/epoll.h EVENT__HAVE_SYS_EPOLL_H)
CHECK_INCLUDE_FILE(sys/eventfd.h EVENT__HAVE_SYS_EVENTFD_H)
CHECK_INCLUDE_FILE(sys/event.h EVENT__HAVE_SYS_EVENT_H)
CHECK_INCLUDE_FILE(sys/ioctl.h EVENT__HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILE(sys/mman.h EVENT__HAVE_SYS_MMAN_H)
CHECK_INCLUDE_FILE(sys/param.h EVENT__HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILE(sys/queue.h EVENT__HAVE_SYS_QUEUE_H)
CHECK_INCLUDE_FILE(sys/select.h EVENT__HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILE(sys/sendfile.h EVENT__HAVE_SYS_SENDFILE_H)
CHECK_INCLUDE_FILE(sys/stat.h EVENT__HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/time.h EVENT__HAVE_SYS_TIME_H)
if(EVENT__HAVE_SYS_TIME_H)
    list(APPEND CMAKE_EXTRA_INCLUDE_FILES sys/time.h)
endif()
CHECK_INCLUDE_FILE(sys/uio.h EVENT__HAVE_SYS_UIO_H)
CHECK_INCLUDE_FILES("sys/types.h;ifaddrs.h" EVENT__HAVE_IFADDRS_H)
CHECK_INCLUDE_FILE(mach/mach_time.h EVENT__HAVE_MACH_MACH_TIME_H)
CHECK_INCLUDE_FILE(netinet/tcp.h EVENT__HAVE_NETINET_TCP_H)
CHECK_INCLUDE_FILE(sys/wait.h EVENT__HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(sys/resource.h EVENT__HAVE_SYS_RESOURCE_H)
CHECK_INCLUDE_FILE(sys/sysctl.h EVENT__HAVE_SYS_SYSCTL_H)
CHECK_INCLUDE_FILE(sys/timerfd.h EVENT__HAVE_SYS_TIMERFD_H)
CHECK_INCLUDE_FILE(errno.h EVENT__HAVE_ERRNO_H)


CHECK_FUNCTION_EXISTS_EX(epoll_create EVENT__HAVE_EPOLL)
CHECK_FUNCTION_EXISTS_EX(epoll_ctl EVENT__HAVE_EPOLL_CTL)
CHECK_FUNCTION_EXISTS_EX(eventfd EVENT__HAVE_EVENTFD)
if(NOT EVENT__DISABLE_CLOCK_GETTIME)
    CHECK_FUNCTION_EXISTS_EX(clock_gettime EVENT__HAVE_CLOCK_GETTIME)
endif()
CHECK_FUNCTION_EXISTS_EX(fcntl EVENT__HAVE_FCNTL)
CHECK_FUNCTION_EXISTS_EX(getaddrinfo EVENT__HAVE_GETADDRINFO)
CHECK_FUNCTION_EXISTS_EX(getnameinfo EVENT__HAVE_GETNAMEINFO)
CHECK_FUNCTION_EXISTS_EX(gettimeofday EVENT__HAVE_GETTIMEOFDAY)
CHECK_FUNCTION_EXISTS_EX(getprotobynumber EVENT__HAVE_GETPROTOBYNUMBER)
CHECK_FUNCTION_EXISTS_EX(getservbyname EVENT__HAVE_GETSERVBYNAME)
CHECK_FUNCTION_EXISTS_EX(inet_ntop EVENT__HAVE_INET_NTOP)
CHECK_FUNCTION_EXISTS_EX(inet_pton EVENT__HAVE_INET_PTON)
CHECK_FUNCTION_EXISTS_EX(kqueue EVENT__HAVE_KQUEUE)
CHECK_FUNCTION_EXISTS_EX(mmap EVENT__HAVE_MMAP)
CHECK_FUNCTION_EXISTS_EX(pipe EVENT__HAVE_PIPE)
CHECK_FUNCTION_EXISTS_EX(pipe2 EVENT__HAVE_PIPE2)
CHECK_FUNCTION_EXISTS_EX(poll EVENT__HAVE_POLL)
CHECK_FUNCTION_EXISTS_EX(port_create EVENT__HAVE_PORT_CREATE)
CHECK_FUNCTION_EXISTS_EX(sendfile EVENT__HAVE_SENDFILE)
CHECK_FUNCTION_EXISTS_EX(sigaction EVENT__HAVE_SIGACTION)
CHECK_FUNCTION_EXISTS_EX(signal EVENT__HAVE_SIGNAL)
CHECK_FUNCTION_EXISTS_EX(splice EVENT__HAVE_SPLICE)
CHECK_FUNCTION_EXISTS_EX(strlcpy EVENT__HAVE_STRLCPY)
CHECK_FUNCTION_EXISTS_EX(strsep EVENT__HAVE_STRSEP)
CHECK_FUNCTION_EXISTS_EX(strtok_r EVENT__HAVE_STRTOK_R)
CHECK_FUNCTION_EXISTS_EX(strtoll EVENT__HAVE_STRTOLL)
CHECK_FUNCTION_EXISTS_EX(vasprintf EVENT__HAVE_VASPRINTF)
CHECK_FUNCTION_EXISTS_EX(sysctl EVENT__HAVE_SYSCTL)
CHECK_FUNCTION_EXISTS_EX(accept4 EVENT__HAVE_ACCEPT4)
CHECK_FUNCTION_EXISTS_EX(arc4random EVENT__HAVE_ARC4RANDOM)
CHECK_FUNCTION_EXISTS_EX(arc4random_buf EVENT__HAVE_ARC4RANDOM_BUF)
CHECK_FUNCTION_EXISTS_EX(epoll_create1 EVENT__HAVE_EPOLL_CREATE1)
CHECK_FUNCTION_EXISTS_EX(getegid EVENT__HAVE_GETEGID)
CHECK_FUNCTION_EXISTS_EX(geteuid EVENT__HAVE_GETEUID)
CHECK_FUNCTION_EXISTS_EX(getifaddrs EVENT__HAVE_GETIFADDRS)
CHECK_FUNCTION_EXISTS_EX(issetugid EVENT__HAVE_ISSETUGID)

=== debian/changelog ===
firefox-esr (91.13.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-35, also known as:
    CVE-2022-38472, CVE-2022-38473, CVE-2022-38478.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Aug 2022 06:09:13 +0900

firefox-esr (91.12.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-29, also known as:
    CVE-2022-36319, CVE-2022-36318.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jul 2022 09:08:20 +0900

firefox-esr (91.11.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-25, also known as:
    CVE-2022-34479, CVE-2022-34470, CVE-2022-34468, CVE-2022-34481,
    CVE-2022-31744, CVE-2022-34472, CVE-2022-2200, CVE-2022-34484.

  * build/moz.configure/bindgen.configure,
    gfx/webrender_bindings/webrender_ffi.h: Work around build failure with
    newer cbindgen. bz#1773259

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Jun 2022 06:30:12 +0900

firefox-esr (91.10.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-21, also known as:
    CVE-2022-31736, CVE-2022-31737, CVE-2022-31738, CVE-2022-31740,
    CVE-2022-31741, CVE-2022-31742, CVE-2022-31747.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Jun 2022 05:24:22 +0900

firefox-esr (91.9.1esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-19, also known as CVE-2022-1802 and CVE-2022-1529.

 -- Mike Hommey <glandium@debian.org>  Sat, 21 May 2022 06:22:04 +0900

firefox-esr (91.9.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-17, also known as
    CVE-2022-29914, CVE-2022-29909, CVE-2022-29916, CVE-2022-29911,
    CVE-2022-29912, CVE-2022-29917.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 May 2022 06:43:23 +0900

firefox-esr (91.8.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-14, also known as
    CVE-2022-1097, CVE-2022-28281, CVE-2022-1196, CVE-2022-28282,
    CVE-2022-28285, CVE-2022-28286, CVE-2022-24713, CVE-2022-28289.

 -- Mike Hommey <glandium@debian.org>  Wed, 06 Apr 2022 08:13:44 +0900

firefox-esr (91.7.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-11, also known as
    CVE-2022-26383, CVE-2022-26384, CVE-2022-26387, CVE-2022-26381,
    CVE-2022-26386.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Mar 2022 06:47:37 +0900

firefox-esr (91.6.1esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-09, also known as CVE-2022-26485, CVE-2022-26486.

 -- Mike Hommey <glandium@debian.org>  Sun, 06 Mar 2022 07:31:23 +0900

firefox-esr (91.6.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-05, also known as:
    CVE-2022-22754, CVE-2022-22756, CVE-2022-22759, CVE-2022-22760,
    CVE-2022-22761, CVE-2022-22763, CVE-2022-22764.

  * netwerk/base/SimpleChannel.*, netwerk/base/nsBaseChannel.*,
    netwerk/protocol/res/ExtensionProtocolHandler.cpp,
    netwerk/protocol/res/PageThumbProtocolHandler.cpp,
    toolkit/components/places/nsAnnoProtocolHandler.cpp,
    dom/file/ipc/RemoteLazyInputStream.cpp: Apply upstream patches to fix
    excessive CPU usage in web extensions. bz#1706594, bz#1735899.
    Closes: #1002868.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Feb 2022 07:37:27 +0900

firefox-esr (91.5.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-02, also known as:
    CVE-2022-22743, CVE-2022-22742, CVE-2022-22741, CVE-2022-22740,
    CVE-2022-22738, CVE-2022-22737, CVE-2021-4140, CVE-2022-22748,
    CVE-2022-22745, CVE-2022-22747, CVE-2022-22739, CVE-2022-22751.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Jan 2022 06:58:53 +0900

=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libdrm-dev,
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libreadline-dev,
               python3 (>= 3.6),
               dpkg-dev,
               libvpx-dev (>= 1.8.0),
               libdbus-glib-1-dev,
               libffi-dev,
               libevent-dev,
               libpulse-dev,
               libasound2-dev,
               yasm,
               nasm (>= 2.14) [amd64 i386],
               rustc-mozilla (>= 1.51),
               cargo (>= 0.47),
               llvm-dev,
               libclang-dev,
               clang,
               cbindgen (>= 0.19.0),
               nodejs (>= 10),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b esr91/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/esr91/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          pulseaudio
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.

Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-be, firefox-esr-l10n-bg, firefox-esr-l10n-bn, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-ca-valencia, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-ca, firefox-esr-l10n-en-gb, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-ia, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mk, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-my, firefox-esr-l10n-nb-no, firefox-esr-l10n-ne-np, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-oc, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-sco, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-szl, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-th, firefox-esr-l10n-tl, firefox-esr-l10n-tr, firefox-esr-l10n-trs, firefox-esr-l10n-uk, firefox-esr-l10n-ur, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: firefox-esr-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Azerbaijani language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Azerbaijani.

Package: firefox-esr-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Belarusian.

Package: firefox-esr-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bulgarian.

Package: firefox-esr-l10n-bn
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: firefox-esr-l10n-bn-in (<< 68), firefox-esr-l10n-bn-bd (<< 68)
Replaces: firefox-esr-l10n-bn-in (<< 68), firefox-esr-l10n-bn-bd (<< 68)
Provides: firefox-esr-l10n-bn-in, firefox-esr-l10n-bn-bd
Description: Bengali language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bengali.

Package: firefox-esr-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Breton.

Package: firefox-esr-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bosnian.

Package: firefox-esr-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Catalan.

Package: firefox-esr-l10n-ca-valencia
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Catalan (Valencia) language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Catalan (Valencia).

Package: firefox-esr-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Kaqchikel language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Kaqchikel.

Package: firefox-esr-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-cs
Description: Czech language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Czech.

Package: firefox-esr-l10n-cy
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Welsh language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Welsh.

Package: firefox-esr-l10n-da

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options.
dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))

PYTHON := python3 -B

PRODUCT := browser
include debian/upstream.mk

SYSTEM_LIBS = zlib ffi
ifeq (,$(filter stretch buster bullseye,$(DIST)))
SYSTEM_LIBS += nspr nss
endif
ifeq (,$(filter stretch,$(DIST)))
SYSTEM_LIBS += libevent
endif
ifeq (,$(filter stretch buster,$(DIST)))
SYSTEM_LIBS += vpx
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

ifeq (firefox-esr,$(DEBIAN_SOURCE))
ifneq (,$(filter stretch buster,$(DIST)))
TRANSITION = 1
endif
endif

COMMON_CONFIGURE_FLAGS += --target=$(DEB_HOST_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --host=$(DEB_BUILD_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --prefix=/usr
COMMON_CONFIGURE_FLAGS += --enable-project=$(PRODUCT)

COMMON_CONFIGURE_FLAGS += $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$(DISPLAY_NAME))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

export MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

ifneq (,$(filter stretch,$(DIST)))
ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH)))
export NASM=/usr/lib/nasm-mozilla/bin/nasm
endif
export NODEJS=/usr/lib/nodejs-mozilla/bin/node
export PATH := /usr/lib/llvm-7/bin/:$(PATH)
export PATH := /usr/lib/gcc-mozilla/bin/:$(PATH)
LDFLAGS += -static-libstdc++
endif

LDFLAGS += -Wl,--as-needed
# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
LDFLAGS += -Wl,--compress-debug-sections=zlib

# Disable debug symbols when building on 32-bits machines, because
# a) the rust compiler can't deal with it in the available address
# space, and b) the linker can't deal with it in the available address space
# either.
ifneq (64,$(DEB_BUILD_ARCH_BITS))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf

CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter %i386 %amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	MOZ_FFVPX = 1
endif
ifneq (,$(filter i386 amd64 armel armhf,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif
ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --disable-webrtc
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
CONFIGURE_FLAGS += --disable-jit
endif

CXXFLAGS = $(CFLAGS)
RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.
ifeq (,$(filter 1.43.% 1.44.%,$(shell rustc --version | awk '{print $$2}')))
RUSTFLAGS += -Cembed-bitcode=yes
endif

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	PYTHONIOENCODING=utf-8 LC_ALL=C.UTF-8 $(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): VARS = GRE_VERSION $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	$(PYTHON) ./mach python --no-virtualenv python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@

ifdef TRANSITION
MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="iceweasel-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="iceweasel" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))

GENERATED_FILES += $(MAINTSCRIPTS)

debian/iceweasel.maintscript: debian/removed_conffiles
	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@

debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
endif

override_dh_auto_configure:

configure js/src/configure:
	cp -f $@.in $@ && chmod +x $@
	echo $@ >> debian/extra-clean

stamps/prepare-configure:: stamps/dummy configure js/src/configure
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \

## firefox-esr 102.3.0esr

=== debian/changelog ===
firefox-esr (102.3.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-41, also known as:
    CVE-2022-40959, CVE-2022-40960, CVE-2022-40958, CVE-2022-40956,
    CVE-2022-40957, CVE-2022-40962.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Sep 2022 06:58:15 +0900

firefox-esr (102.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-34, also known as:
    CVE-2022-38472, CVE-2022-38473, CVE-2022-38477, CVE-2022-38478.

  * debian/rules, debian/control: Fix libavcodec recommends. Closes: #1017782.
  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Aug 2022 06:35:58 +0900

firefox-esr (102.1.0esr-2) unstable; urgency=medium

  * debian/rules: Remove old and now unnecessary workarounds.

  * intl/icu/source/common/unicode/std_string.h,
    intl/icu/source/common/utypeinfo.h,
    intl/icu/source/io/unicode/ustream.h: Remove workaround for old libstdc++
    problem, which now causes problems with GCC 12 on arm.
  * third_party/libwebrtc/moz.build: Add missing webrtc directory for ppc64el
    (bz#1775202).

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2022 15:46:49 +0900

firefox-esr (102.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-28, also known as:
    CVE-2022-36319, CVE-2022-36318, CVE-2022-36315, CVE-2022-36316,
    CVE-2022-36320, CVE-2022-2505.

  * debian/rules:
    - Improve detection of known failing cases on armhf and mipsel.
    - Use thinLTO for rust on armhf, to stay in the memory budget with an
      armhf toolchain.
    - Use MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none instead of
      MACH_USE_SYSTEM_PYTHON=1.
  * debian/rules, debian/watch, debian/watch.in: Generate debian/watch and
    fix it.

  * third_party/libwebrtc/moz.build: Work around bz#1775202 to fix FTBFS on
    ppc64el.
  * config/makefiles/rust.mk: Allow to override rust LTO flag.

 -- Mike Hommey <glandium@debian.org>  Sun, 14 Aug 2022 16:59:19 +0900

firefox (102.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-24, also known as:
    CVE-2022-34479, CVE-2022-34470, CVE-2022-34468, CVE-2022-34482,
    CVE-2022-34483, CVE-2022-34476, CVE-2022-34481, CVE-2022-34474,
    CVE-2022-34471, CVE-2022-34472, CVE-2022-2200, CVE-2022-34480,
    CVE-2022-34477, CVE-2022-34475, CVE-2022-34473, CVE-2022-34484,
    CVE-2022-34485.

  * build/moz.configure/bindgen.configure,
    gfx/webrender_bindings/webrender_ffi.h: Work around build failure with
    newer cbindgen. bz#1773259

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Jun 2022 07:41:32 +0900

firefox (101.0.1-1) unstable; urgency=medium

  * New upstream release.

  * build/moz.configure/rust.configure, debian/control*: Allow to build with
    cargo in unstable.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Jun 2022 06:24:01 +0900

firefox (101.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-20, also known as:
    CVE-2022-31736, CVE-2022-31737, CVE-2022-31738, CVE-2022-31740,
    CVE-2022-31741, CVE-2022-31742, CVE-2022-31743, CVE-2022-31744,
    CVE-2022-31745, CVE-2022-1919, CVE-2022-31747, CVE-2022-31748.

  * debian/rules: Fail the build early when building for armhf on armhf
    (only works on arm64), and when building for mipsel on mipsel.
  * debian/control*: Bump rustc, cargo, cbindgen and nss build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Jun 2022 06:07:37 +0900

firefox (100.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-19, also known as CVE-2022-1802 and CVE-2022-1529.

 -- Mike Hommey <glandium@debian.org>  Sat, 21 May 2022 07:32:04 +0900

firefox (100.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-16, also known as:
    CVE-2022-29914, CVE-2022-29909, CVE-2022-29916, CVE-2022-29911,
    CVE-2022-29912, CVE-2022-29915, CVE-2022-29917, CVE-2022-29918.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 May 2022 08:48:41 +0900

firefox (99.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-13, also known as:
    CVE-2022-1097, CVE-2022-28281, CVE-2022-28282, CVE-2022-28283,
    CVE-2022-28284, CVE-2022-28285, CVE-2022-28286, CVE-2022-28287,
    CVE-2022-24713, CVE-2022-28289, CVE-2022-28288.

  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 06 Apr 2022 09:04:22 +0900

firefox (98.0-2) unstable; urgency=medium

  * debian/rules: Install crash reporter files on arm64.

  * js/src/jit/GenerateAtomicOperations.py: Work around a GCC issue with
    generated atomics. bz#1756347.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Mar 2022 09:09:43 +0900

firefox (98.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-10, also known as:
    CVE-2022-26383, CVE-2022-26384, CVE-2022-26387, CVE-2022-26381,
    CVE-2022-26382, CVE-2022-26385, CVE-2022-0843.
  * Fixes for mfsa2022-09, also known as: CVE-2022-26485, CVE-2022-26486.

  * debian/control*:
    - Bump nss build dependency.
    - Downgrade rust dependency to 1.56, and cargo to 0.57.

  * Cargo.lock, config/makefiles/rust.mk, python/mozboot/mozboot/util.py,
    servo/components/style/Cargo.toml, servo/components/style/build.rs,
    servo/components/style/lib.rs,
    servo/components/style/stylesheets/page_rule.rs,
    servo/components/style/stylist.rs,
    third_party/rust/audioipc2-client/.cargo-checksum.json,
    third_party/rust/audioipc2-client/Cargo.toml,
    third_party/rust/audioipc2-client/build.rs,
    third_party/rust/audioipc2-client/src/lib.rs,
    third_party/rust/wgpu-hal/.cargo-checksum.json,
    third_party/rust/wgpu-hal/src/gles/egl.rs: Relax minimum supported Rust
    version to 1.56.0.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Mar 2022 07:09:27 +0900

firefox (97.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-04, also known as:


=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 $(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
 $(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
 $(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
+$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
 $(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
 
 PYTHON := python3 -B
@@ -83,6 +84,8 @@
 # Work around https://github.com/rust-lang/cargo/issues/7147
 export CARGO_HOME=$(CURDIR)/debian/.cargo
 
+export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
+
 ifneq (,$(filter stretch,$(DIST)))
 ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH)))
 export NASM=/usr/lib/nasm-mozilla/bin/nasm
@@ -129,7 +132,7 @@
 ifneq (,$(filter %i386 %amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
 	MOZ_FFVPX = 1
 endif
-ifneq (,$(filter i386 amd64 armel armhf,$(DEB_HOST_ARCH)))
+ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
 	CRASH_REPORTER = 1
 endif
 ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
@@ -149,9 +152,6 @@
 
 CXXFLAGS = $(CFLAGS)
 RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.
-ifeq (,$(filter 1.43.% 1.44.%,$(shell rustc --version | awk '{print $$2}')))
-RUSTFLAGS += -Cembed-bitcode=yes
-endif
 
 EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
 $(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))
@@ -176,12 +176,12 @@
 debian/l10n/$(PRODUCT)-l10n.control: %: %.in
 	PYTHONIOENCODING=utf-8 LC_ALL=C.UTF-8 $(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@
 
-$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))
-
-$(PREPROCESSED_FILES): VARS = GRE_VERSION $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
+$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so\./ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))
+
+$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
 $(PREPROCESSED_FILES):
-	$(PYTHON) ./mach python --no-virtualenv python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
+	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
 
 ifdef TRANSITION
 MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="iceweasel-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="iceweasel" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))
@@ -202,5 +202,3 @@
 	echo $@ >> debian/extra-clean
 
 stamps/prepare-configure:: stamps/dummy configure js/src/configure
-	for dir in $(AUTOCONF_DIRS); do \
-		for file in config.guess config.sub; do \
